Skip to content

Platform parameter should not be required #532

Open
MaksSlesarenko opened this Issue Jan 30, 2014 · 2 comments

3 participants

@MaksSlesarenko

I'm want to migrate from propel1 to propel2. But it is not quite working. First I have to pass --platform=PgsqlPlatform to every command, besides the fact that propel has 2 config files with adapter definition.
Also some commands (database:reverse) require even dsn string to be passed from input.

Please clarify this behavior

@jaugustin
Propel member

We work on refactoring the configuration #527
I think after that it will be easier :)

@marcj
Propel member
marcj commented Feb 1, 2014

Yes, I don't like the usability of those current commands as well.

@marcj marcj added the Enhancement label Apr 11, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.